/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ITestObjectProvider } from "@fluidframework/test-utils";
import { ITestObjectProviderOptions } from "./describeCompat";
export declare type DocumentType = 
/** Document with a SharedMap with a 5Mb entry */
"MediumDocumentMap"
/** Document with a SharedMap with 2 x 5Mb entries */
 | "LargeDocumentMap";
export declare type BenchmarkType = "E2ETime" | "E2EMemory";
export declare type BenchmarkTypeDescription = "Runtime benchmarks" | "Memory benchmarks";
export interface DescribeE2EDocInfo {
    testTitle: string;
    documentType: DocumentType;
}
export interface DescribeE2EDocInfoWithBenchmarkType extends DescribeE2EDocInfo {
    benchmarkType: BenchmarkType;
}
export declare type DescribeE2EDocSuite = (title: string, tests: (this: Mocha.Suite, provider: (options?: ITestObjectProviderOptions) => ITestObjectProvider, documentType: () => DescribeE2EDocInfo) => void, docTypes?: DescribeE2EDocInfo[], testType?: string) => Mocha.Suite | void;
export declare const describeE2EDocs: DescribeE2EDocSuite;
export declare const describeE2EDocsRuntime: DescribeE2EDocSuite;
export declare const describeE2EDocsMemory: DescribeE2EDocSuite;
export declare const describeE2EDocRun: DescribeE2EDocSuite;
export declare const getCurrentBenchmarkType: (currentType: DescribeE2EDocSuite) => BenchmarkType;
//# sourceMappingURL=describeE2eDocs.d.ts.map